
package de.ivu.elect.presentation.person.table;

import static java.util.Objects.nonNull;

import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.business.person.entity.PersonendatenConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class PersonendatenWahlNameColumn<E extends Personendaten> extends AbstractPersonendatenColumn<E> {

  private static final long serialVersionUID = 1L;

  public PersonendatenWahlNameColumn(Messages messages) {
    super("Personendaten-WahlNameColumn", messages, PersonendatenConstants.MESSAGE_KEY_WAHL_ID_EINZAHL, ColumnType.STRING,
        personendaten -> {
          if (nonNull(personendaten) && personendaten.hasWahl()) {
            return personendaten.getWahl().getName();
          }

          return "";
        });
  }
}
